smtLib-1.0.7: A library for working with the SMTLIB format.

Safe Haskell | Safe
Language | Haskell98

SMTLib2.Compat1

# Documentation

data Trans a Source

Constructors

OK a |
Fail Doc |

Instances

Functor Trans Source |
Applicative Trans Source |

toMaybe :: Trans a -> Maybe a Source

toEither :: Trans a -> Either Doc a Source

err :: Doc -> Trans a Source

name :: Name -> Name Source

ident :: Ident -> Ident Source

quant :: Quant -> Quant Source

binder :: Binder -> Binder Source

sort :: Sort -> Type Source

literal :: Literal -> Literal Source

term :: Term -> Trans Expr Source

formula :: Formula -> Trans Expr Source

annot :: Annot -> Trans Attr Source

command :: Command -> Trans [Command] Source

script :: Script -> Trans Script Source